nmatrix.h File Reference

Deals with matrices of elements of various types. More...

`#include <iostream>`
`#include <memory>`
`#include "regina-core.h"`

## Classes

class | regina::NMatrix< T >
| Represents a matrix of elements of the given type T. More...
class | regina::NMatrixRing< T >
| Represents a matrix of elements from a given ring T. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

Deals with matrices of elements of various types.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).